2011-01-13 Julien "_kaze_" ROZO <julien@rozo.org>
	* PRE_BUILD, openssl-1.0.0.patch: added a patch to fix compilation
	  issue with openssl version 1.0.0

2010-11-03 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: jpeg -> JPEG

2009-05-28 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply kdelibs-gcc44.patch
	* kdelibs-gcc44.patch: Patch to fix building with GCC 4.4
	  From https://bugs.kde.org/show_bug.cgi?id=193242

2009-02-18 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD, inotify.patch: fix build; bad kernel header usage

2009-01-08 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added hspell #12652

2008-08-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.10

2008-04-26 Eric Sandall <sandalle@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: Allow forcing libxslt dependency

2008-04-22 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on mdnsresponder

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: No need to check if using modular X as that's all that's
	  available now

2008-02-25 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.9

2007-12-16  Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* BUILD: deleted
	  use default_kde3_build

2007-10-16  Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.8
	* PRE_BUILD, *.diff: deleted, already applied

2007-09-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH++
	* post-3.5.7-kdelibs-kdecore-2.diff: added
	  post-3.5.7-kdelibs-kdecore.diff: removed
	* PRE_BUILD: apply patches
	  security fix CVE-2007-4224 CVE-2007-4225 CVE-2007-3820

2007-08-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH++
	* post-3.5.7-kdelibs-kdecore.diff: added
	  cups.diff: added
	  fix compilation with cups-1.3 (upstream patch) kde bug #148121
	* PRE_BUILD: apply patches
	  security fix CVE-2007-4224, CVE-2007-4225, CVE-2007-3820
	  URL: http://www.kde.org/info/security/advisory-20070816-1.txt
	  fixes bug #13950

2007-05-22 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.7

2007-04-04 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: No longer uses lesstif for Netscape plugins

2007-04-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH++
	* CVE-2007-1564-kdelibs-3.5.6.diff: added
	* PRE_BUILD: apply patch
	  security fix CVE-2007-1564
	  URL: http://www.kde.org/info/security/advisory-20070326-1.txt
	  fixes bug #13672

2007-03-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH
	* PRE_BUILD, post-3.5.6-kdelibs.diff:add
	  security fix  CVE-2007-0537
	  URL: http://www.kde.org/info/security/advisory-20070206-1.txt
	* DEPENDS: add some explicit with/without options
	  add optional jasper

2007-01-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.6

2006-10-25 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: added optional depends on sudo, removed duplicated audiofile

2006-10-11 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Removed depends qt-x11, now in KDE_DEPENDS.

2006-10-11 Anton Brondz <dinolinux@sourcemage.org>
	* DETAILS: updated to 3.5.5
	* kpr.patch: deleted, fixed in kde bug #115891
	* PRE_BUILD: deleted, not needed
	* DEPENDS: duplicate dependency

2006-09-10 Anton Brondz <dinolinux@sourcemage.org>
	* DEPENDS: added optional depends, bug #12652

2006-08-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.4

2006-07-13 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD, kpr.patch: add
	  apply patches from kbuntu, so that can use cups-1.2.1
	  see kde bug #115891 and <http://kubuntu.org/~jriddell/kdeprint/>
	* DEPENDS: depends on any CUPS

2006-06-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide

2006-06-25 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PRE_SUB_DEPENDS: added missing returns, #12747

2006-06-25 George Sherwood <george@beernabeer.com>
	* DEPENDS: changed cups to cups-old. kde doesn't work with 1.2.x

2006-06-14 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add prel, pcre, sane-backends, libntlm
	  see bug #12652

2006-06-07 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: added xorg-libs checking, converted to
	  check_if_xorg_modular_libs

2006-06-04 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: DCOP requires on iceauth if using xorg-server

2006-05-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.3

2006-05-25 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depend on libice, libsm, and libxext if xorg-server is
	  providing X11-LIBS for qt-x11

2006-05-22 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* {PRE_,}SUB_DEPENDS: added ARTS subdep for #8811

2006-05-21 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* {PRE_,}SUB_DEPENDS: added. SVG subdep for #10917, SSL to make it build

2006-03-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.2

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.1
	* PRE_BUILD  post-3.4.3-kdelibs-kjs.diff: deleted, no longer relevant

2006-01-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH
	* PRE_BUILD post-3.4.3-kdelibs-kjs.diff: add
	  security fix
	  URL: http://www.kde.org/info/security/advisory-20060119-1.txt

2005-12-20 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added optional dependency on acl (Bug #10233)

2005-12-02 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* DETAILS: updated UPDATED

2005-11-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.0

2005-10-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added optional dependency on libidn

2005-10-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.3

2005-09-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated UPDATED due to KDE_BUILD getting fixes, see
	  bug #8969

2005-07-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.2
	  no longer requires gcc34

2005-06-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED

2005-06-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: tiff has flags, use them
	  Optionally depends on aspell
	  Removed a TAB

2005-05-31 Treeve Jelbert <treeve@sourcemage.org>
	* GCC_VERSION=3.4
	* PRE_BUILD,post-3.4.0-kdelibs-kimgio-fixed.diff: deleted

2005-05-21 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* PRE_BUILD: the patches released by the previous KDE security updates
	  were faulty and introduced regressions. The updated patches correct 
	  the introduced problems.
	  see http://www.kde.org/info/security/advisory-20050504-1.txt

2005-04-22 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* PRE_BUILD: added security patch
	  see http://www.kde.org/info/security/advisory-20050421-1.txt

2005-03-30 Andrew Stitt <astitt@sourcemage.org>
	* BUILD: remove relative paths to grimoire libraries
	* CONFIGURE: remove relative paths to grimoire libraries
	* DEPENDS: remove relative paths to grimoire libraries
	* DETAILS: remove relative paths to grimoire libraries

2005-03-16 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: version 3.4.0

2005-02-28 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: version 3.4.0-rc1

2005-02-26 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: removed idea of a "devel" version. Spell version
	  stands at 3.3.92
	* PRE_BUILD: removed, since patching not needed
	* post-3.3.2-kdelibs-{htmlframes2,kioslaves}.patch: removed

2005-02-22 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: devel version 3.3.92

2005-02-21 Seth Woolley <seth@tautology.org>
	* DETAILS: UPDATED updated for SECURITY FIXES
	* PRE_BUILD: added to patch things below
	* post-3.3.2-kdelibs-{htmlframes2,kioslaves}.patch: added

2005-02-02 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DEPENDS: added dependency on hicolor-icon-theme
	* BUILD: prevented kdelibs from installing its hicolor-icon-theme
	  index.theme file (bug #7498)

2005-01-07 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added optional dependency on doxygen
	* BUILD: Build API documentation if doxygen is installed

2005-01-04 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Self-conflict or it'll link against itself, which breaks
	  recompiling for changed libraries (such as mysql updates; problem is
	  similar to that of qt-x11)

2004-12-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: upgraded to version 3.3.2

2004-10-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: upgraded to version 3.3.1

2004-09-23 Eric Sandall <sandalle@sourcemage.org>
	* BUILD, DETAILS, DEPENDS: Source ../KDE_DETAILS
	* DEPENDS: Made arts optional
	  Added optional depends on krb5 and openexr
	  Added flags for openssl, FAM, pcre, and cups
	  Remove OPTS flags
	  Formatted to Guru Handbook
	* HISTORY: Formatted to Guru Handbook

2004-09-13 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: depends on any provider of FAM

2004-08-20 Eric Schabell <eschabell@sourcemage.org>
	* DETAILS: upgraded to version 3.3.

2004-08-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.0-rc2

2004-08-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.0-rc1

2004-07-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.2.92

2004-07-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.2.91

2004-06-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 3.2.3
	  SOURCE_URL now uses $VERSION instead of hard-coded
	  Make SHORT shorter
	* BUILD,post-3.2.2-kdelibs-kapplication.patch,
	  post-3.2.2-kdelibs-ktelnetservice.patch: Removed

2004-05-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versions 3.2.90 / 3.2.2
	  allow building of devel or stable versions
	  BUILD_API=2
	* BUILD: simplify
	* CONFIGURE: added

2004-05-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated set
	* BUILD *.patch: added
	  security patch, see <http://dot.kde.org/1084792117/>

2004-04-23 Eric Womack <eric@sourcemage.com>
	* DEPENDS: Dupe with pcre removed - Now optional only

2004-04-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.2.2

2004-04-12 Eric Womack <eric@sourcemage.com>
	* DEPENDS: libart_lgpl added as optional_depends for SVG rendering

2004-03-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.2.1

2004-02-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.2.0

2004-01-16 hgg <hgreig@bigpond.net.au>
	* DEPENDS: add --disable-debug --enable-final to arts line (now build
	  no longer exists)

2004-01-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 3.1.5
	* alsa-1.0.patch: Removed, no longer needed
	* BUILD: Removed, patch is no longer applied

2003-11-27 Arwed v. Merkatz <v.merkatz@gmx.net>
	* alsa-1.0.patch, BUILD: patch to detect alsa correctly

2003-11-25 hgg <hgreig@bigpond.net.au>
	* DETAILS: turn off distcc, --enable-final means files upto 250 MB are
	  transferred over the network which seriously slows down KDE
	  compilation.

2003-10-27 Treeve Jelbert <treeve@sourcemage.org>
	* HISTORY: reformatted

2003-09-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1.4

2003-08-05 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update to 3.1.3

2003-08-02 Seth Woolley <seth@tautology.org>
	* DETAILS: bug 3881, security update, see:
	  http://bugs.sourcemage.org/show_bug.cgi?id=3881
	  http://www.kde.org/info/security/advisory-20030729-1.txt

2003-06-26 Eric Womack <eric@sourcemage.com>
	* DETAILS: Bug 3646

2003-05-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1.2

2003-05-15 Eric Womack <eric@sourcemage.com>
	* DEPENDS: alsa-driver changed to alsa-lib

2003-05-15 Eric Womack <eric@sourcemage.com>
	* DEPENDS: -disable-pcre added

2003-05-01 Eric Womack <eric@sourcemage.com>
	* DEPENDS: fam added to optional_depends

2003-03-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1.1

2003-01-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1

2003-01-10 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: 3.1-rc6

2002-12-08 Eric Womack <eric@lasvegasdata.com>
	* DEPENDS: doxygen added as optional depends

2002-12-07 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: 3.1-rc5

2002-11-21 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: 3.1-rc3 for real this time

2002-11-19 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: 3.1-rc3 Introduced

2002-01-15 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Version Bump to 3.0.4

2002-09-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Fixed Bug #952 (security fix)

2002-09-11 Andrew Stitt <afrayedknot@thefrayedknot.armory.com>
	* DETAILS: fixed md5 field

2002-09-08 Eric Sandall <sandalle@sourcemage.org>
	* TRIGGERS: Added trigger to recast if qt-x11 is cast 
	  (Bug #907)

2002-08-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: changed to use old system

2002-05-29 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Version change to 3.0.1
	  New KDE versioning system
	* BUILD: objprelink removed

2002-04-10 George Mochrie <geo@drasil.uklinux.net>
	* DEPENDS: Updated to use qt-x11

2002-04-10 Eric Womack <eric@lasvegasdata.com>
	* DEPENDS: added arts
	  Promoted pcre to required from optional

2002-04-09 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Beta Release

2002-04-08 George Mochrie <geo@drasil.uklinux.net>
	* DEPENDS: use qt-copy, not qt-x11-free

2002-04-05 Gareth Clay <g.clay@warwick.ac.uk>
	* BUILD: Fixed compile error if alsa not installed

2002-04-03 George Mochrie <geo@drasil.uklinux.net>
	* DETAILS: Updated to version 3.0

2002-03-22 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Spell Created

